Index: src/Actions/Values.cpp
===================================================================
--- src/Actions/Values.cpp	(revision a483e4e2bea6c72cb2715059a1e35ee18731c342)
+++ src/Actions/Values.cpp	(revision 7d9416031da0a31907f5d8804559bc704c7c7c3c)
@@ -47,8 +47,8 @@
 }
 
-Box BoxValue::toBox() const
+RealSpaceMatrix RealSpaceMatrixValue::toRealSpaceMatrix() const
 {
-  Box returnBox(ReturnFullMatrixforSymmetric(matrix));
+  RealSpaceMatrix returnMatrix(ReturnFullMatrixforSymmetric(matrix));
 
-  return returnBox;
+  return returnMatrix;
 }
Index: src/Actions/Values.hpp
===================================================================
--- src/Actions/Values.hpp	(revision a483e4e2bea6c72cb2715059a1e35ee18731c342)
+++ src/Actions/Values.hpp	(revision 7d9416031da0a31907f5d8804559bc704c7c7c3c)
@@ -18,4 +18,5 @@
 class Box;
 class BoxVector;
+class RealSpaceMatrix;
 class Vector;
 
@@ -37,9 +38,9 @@
  * as BoxValue and lateron inside the CommandLineQuery placed into the real Box.
  */
-struct BoxValue
+struct RealSpaceMatrixValue
 {
   double matrix[(NDIM*(NDIM+1))/2];
 
-  Box toBox() const;
+  RealSpaceMatrix toRealSpaceMatrix() const;
 };
 
Index: src/Actions/WorldAction/CenterInBoxAction.cpp
===================================================================
--- src/Actions/WorldAction/CenterInBoxAction.cpp	(revision a483e4e2bea6c72cb2715059a1e35ee18731c342)
+++ src/Actions/WorldAction/CenterInBoxAction.cpp	(revision 7d9416031da0a31907f5d8804559bc704c7c7c3c)
@@ -69,5 +69,5 @@
 
   // set new domain
-  World::getInstance().setDomain(params.cell_size.get().getM());
+  World::getInstance().setDomain(params.cell_size.get());
 
   // center atoms
@@ -125,5 +125,5 @@
 
   // set new domain
-  World::getInstance().setDomain(state->params.cell_size.get().getM());
+  World::getInstance().setDomain(state->params.cell_size.get());
 
   // center atoms
Index: src/Actions/WorldAction/CenterInBoxAction.def
===================================================================
--- src/Actions/WorldAction/CenterInBoxAction.def	(revision a483e4e2bea6c72cb2715059a1e35ee18731c342)
+++ src/Actions/WorldAction/CenterInBoxAction.def	(revision 7d9416031da0a31907f5d8804559bc704c7c7c3c)
@@ -8,5 +8,5 @@
 // all includes and forward declarations necessary for non-integral types below
 #include "Actions/Values.hpp"
-#include "Box.hpp"
+#include "LinearAlgebra/RealSpaceMatrix.hpp"
 #include "LinearAlgebra/Vector.hpp"
 #include <boost/shared_ptr.hpp>
@@ -15,5 +15,5 @@
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
-#define paramtypes (Box)
+#define paramtypes (RealSpaceMatrix)
 #define paramtokens ("center-in-box")
 #define paramdescriptions ("symmetric matrix of new domain")
Index: src/Actions/WorldAction/ChangeBoxAction.cpp
===================================================================
--- src/Actions/WorldAction/ChangeBoxAction.cpp	(revision a483e4e2bea6c72cb2715059a1e35ee18731c342)
+++ src/Actions/WorldAction/ChangeBoxAction.cpp	(revision 7d9416031da0a31907f5d8804559bc704c7c7c3c)
@@ -50,5 +50,5 @@
   oa << matrix;
 
-  World::getInstance().setDomain(params.cell_size.get().getM()); // this is needed as only this function is OBSERVEd.
+  World::getInstance().setDomain(params.cell_size.get()); // this is needed as only this function is OBSERVEd.
 
   // give final box size
@@ -82,5 +82,5 @@
 
 Action::state_ptr WorldChangeBoxAction::performRedo(Action::state_ptr _state){
-  World::getInstance().setDomain(params.cell_size.get().getM()); // this is needed as only this function is OBSERVEd.
+  World::getInstance().setDomain(params.cell_size.get()); // this is needed as only this function is OBSERVEd.
 
   // give final box size
Index: src/Actions/WorldAction/ChangeBoxAction.def
===================================================================
--- src/Actions/WorldAction/ChangeBoxAction.def	(revision a483e4e2bea6c72cb2715059a1e35ee18731c342)
+++ src/Actions/WorldAction/ChangeBoxAction.def	(revision 7d9416031da0a31907f5d8804559bc704c7c7c3c)
@@ -8,10 +8,10 @@
 // all includes and forward declarations necessary for non-integral types below
 #include "Actions/Values.hpp"
-#include "Box.hpp"
+#include "LinearAlgebra/RealSpaceMatrix.hpp"
 
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
-#define paramtypes (Box)
+#define paramtypes (RealSpaceMatrix)
 #define paramtokens ("change-box")
 #define paramdescriptions ("symmetrc matrix of the new simulation domain")
Index: src/Actions/unittests/stubs/DummyUI.hpp
===================================================================
--- src/Actions/unittests/stubs/DummyUI.hpp	(revision a483e4e2bea6c72cb2715059a1e35ee18731c342)
+++ src/Actions/unittests/stubs/DummyUI.hpp	(revision 7d9416031da0a31907f5d8804559bc704c7c7c3c)
@@ -40,5 +40,5 @@
   virtual void queryVector(Parameter<Vector> &, const char*,bool, std::string = ""){}
   virtual void queryVectors(Parameter<std::vector<Vector> > &, const char*,bool, std::string = ""){}
-  virtual void queryBox(Parameter<Box> &, const char*, std::string = ""){}
+  virtual void queryRealSpaceMatrix(Parameter<RealSpaceMatrix> &, const char*, std::string = ""){}
   virtual void queryElement(Parameter<const element *> &, const char*, std::string = ""){}
   virtual void queryElements(Parameter<std::vector<const element *> > &, const char*, std::string = ""){}
